package com.zd.exam.mapper;

import java.util.List;

import com.zd.exam.domain.ElCourseChapterQuAnswer;
import org.apache.ibatis.annotations.Param;

/**
 * 考试考题题备选答案Mapper接口
 *
 * @author liubo
 * @date 2022-01-05
 */
public interface ElCourseChapterQuAnswerMapper {
    /**
     * 查询考试考题题备选答案
     *
     * @param id 考试考题题备选答案主键
     * @return 考试考题题备选答案
     */
    public ElCourseChapterQuAnswer selectElCourseChapterQuAnswerById(Long id);

    /**
     * 查询考试考题题备选答案列表
     *
     * @param elCourseChapterQuAnswer 考试考题题备选答案
     * @return 考试考题题备选答案集合
     */
    public List<ElCourseChapterQuAnswer> selectElCourseChapterQuAnswerList(ElCourseChapterQuAnswer elCourseChapterQuAnswer);

    /**
     * 新增考试考题题备选答案
     *
     * @param elCourseChapterQuAnswer 考试考题题备选答案
     * @return 结果
     */
    public int insertElCourseChapterQuAnswer(ElCourseChapterQuAnswer elCourseChapterQuAnswer);

    /**
     * 修改考试考题题备选答案
     *
     * @param elCourseChapterQuAnswer 考试考题题备选答案
     * @return 结果
     */
    public int updateElCourseChapterQuAnswer(ElCourseChapterQuAnswer elCourseChapterQuAnswer);

    /**
     * 删除考试考题题备选答案
     *
     * @param id 考试考题题备选答案主键
     * @return 结果
     */
    public int deleteElCourseChapterQuAnswerById(Long id);

    /**
     * 批量删除考试考题题备选答案
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElCourseChapterQuAnswerByIds(Long[] ids);

    void addBatchQuAnswer(@Param("list") List<ElCourseChapterQuAnswer> batchAnswerList);

    int deleteByChapterId(long courseChapterId);

    List<ElCourseChapterQuAnswer> queryByCourseChapterQuId(Long courseChapterId);
}
